#ifndef _Mplanetatmosphere_H_
#define _Mplanetatmosphere_H_

enum
{
  RADIUS_UNITS = 1000,
  RADIUS_KM,
  KM_PER_UNIT,
  UNIT_PER_KM,
  CENTER_UNITS,
  GLOBAL_DENSITY,  
  SCATTER_INTENSITY,
  N_TRANSMISSION_SAMPLES,
  N_INSCATTER_SAMPLES,
  MAT_PREVIEW,
  LIGHTINCLUSION,
  GROUP_LIGHTINCLUSION,
  MATERIAL_PAGE_LIGHT,

  ID_PHASE_TYPE_RAYLEIGH = 0,
  ID_PHASE_TYPE_MIE = 1,

  ID_ON = 1,
  ID_DECAY_HEIGHT,
  ID_DECAY_HEIGHT_UNITS,
  ID_DENSITY,
  ID_PHASE_FACTOR,
  ID_PHASE_TYPE,
  
  NUM_CONSTITUENTS = 2,
  
  GROUP_CONSTITUENT1 = 2000,
  ID1_ON,
  ID1_DECAY_HEIGHT,
  ID1_DECAY_HEIGHT_UNITS,
  ID1_DENSITY,
  ID1_PHASE_FACTOR,
  ID1_PHASE_TYPE,

  GROUP_CONSTITUENT2 = 3000,
  ID2_ON,
  ID2_DECAY_HEIGHT,
  ID2_DECAY_HEIGHT_UNITS,
  ID2_DENSITY,
  ID2_PHASE_FACTOR,
  ID2_PHASE_TYPE,
  
  DUMMY,
};

#endif